## ros-iron-depth-image-proc 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(depth_image_proc)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  include_directories(include ${EIGEN3_INCLUDE_DIRS})
endif()

find_package(OpenCV REQUIRED)

ament_auto_add_library(${PROJECT_NAME} SHARED
  src/conversions.cpp
  src/convert_metric.cpp
  src/crop_foremost.cpp
  src/disparity.cpp
  src/point_cloud_xyz.cpp
  src/point_cloud_xyzrgb.cpp
  src/point_cloud_xyzi.cpp
  src/point_cloud_xyz_radial.cpp
  src/point_cloud_xyzi_radial.cpp
  src/point_cloud_xyzrgb_radial.cpp
  src/register.cpp
)

rclcpp_components_register_nodes(${PROJECT_NAME}
  "${PROJECT_NAME}::ConvertMetricNode"
  "${PROJECT_NAME}::CropForemostNode"
  "${PROJECT_NAME}::DisparityNode"
  "${PROJECT_NAME}::PointCloudXyzNode"
  "${PROJECT_NAME}::PointCloudXyzRadialNode"
  "${PROJECT_NAME}::PointCloudXyziNode"
  "${PROJECT_NAME}::PointCloudXyziRadialNode"
  "${PROJECT_NAME}::PointCloudXyzrgbNode"
  "${PROJECT_NAME}::PointCloudXyzrgbRadialNode"
  "${PROJECT_NAME}::RegisterNode"
)

target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE launch)

=== debian/changelog ===
ros-iron-depth-image-proc (3.0.1-3jammy) jammy; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 16:00:00 -0000

ros-iron-depth-image-proc (3.0.0-3jammy) jammy; urgency=high

  * Cleanup of depth_image_proc.
  * Fix linker error caused by templating in the conversions.cpp file (#718 <https://github.com/ros-perception/image_pipeline/issues/718>)
  * Port upsampling interpolation from #363 <https://github.com/ros-perception/image_pipeline/issues/363> to ROS2 (#692 <https://github.com/ros-perception/image_pipeline/issues/692>)
  * Fix uncrustify errors
  * allow loading depth_image_proc::RegisterNode as a component
  * Replace deprecated geometry2 headers
  * Fixed typo in pointcloudxyz launch file
  * use unique_ptrs, remove unused code, add back in missing initMatrix call
  * add xyzrgb radial node
  * Use RCLCPP_WARN_THROTTLE (10 secs) to avoid terminal spam
  * Fix tiny error in comment
  * Warning instead of fatal error when frames are differents
  * revert a293252
  * Replace deprecated geometry2 headers
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * move to hpp/cpp structure, create conversions file
  * Fix deprecation warning calling declare_parameter
  * Contributors: Chris Lalancette, Evan Flynn, Francisco Martin Rico, Francisco Martín Rico, Harshal Deshpande, Jacob Perron, Joe Schornak, Joseph Schornak, Joshua Whitley, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-depth-image-proc (2.2.1-3jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
    * Fixing version and maintainer problems in camera_calibration.
    * Applying ament_auto macros to depth_image_proc.
    * Cleaning up package.xml in image_pipeline.
    * Applying ament_auto macros to image_proc.
    * Applying ament_auto macros to image_publisher.
    * Applying ament_auto macros to image_rotate.
    * Applying ament_auto macros to image_view.
    * Replacing some deprecated headers in image_view.
    * Fixing some build warnings in image_view.
    * Applying ament_auto macros to stereo_image_proc.
    * Adding some linter tests to image_pipeline.
    * Updating package URLs to point to ROS Index.
  * Add rclcpp and rclcpp_components dependencies to package.xml. (#569 <https://github.com/ros-perception/image_pipeline/issues/569>) (#570 <https://github.com/ros-perception/image_pipeline/issues/570>)
    I noticed that these are listed in CMakeLists.txt but not in package.xml
    and this is causing a build failure for the binary releases on
    build.ros2.org:
    http://build.ros2.org/view/Dbin_ubhf_uBhf/job/Dbin_uB64__depth_image_proc__ubuntu_bionic_amd64__binary/
    Co-authored-by: Steven! Ragnarök <mailto:nuclearsandwich@users.noreply.github.com>
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-iron-depth-image-proc (2.2.0-3jammy) jammy; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
    * Replacing deprecated header includes with new HPP versions.
    * CI: Switching to official Foxy Docker container.
    * Fixing headers which don't work correctly.
  * Contributors: Joshua Whitley
  * make parameters work in depth_image_proc (#544 <https://github.com/ros-perception/image_pipeline/issues/544>)
  * update depth_image_proc components (#543 <https://github.com/ros-perception/image_pipeline/issues/543>)
    * update depth_image_proc components
    This makes them loadable with the rclcpp_components
    interface. I've fully tested PointCloudXYZRGB and
    ConvertMetric, my use case doesn't use the others.
    I also lack a setup to test the launch files fully,
    but ran them with the realsense commented out and
    they appear to be OK.
    * fix linting
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-iron-depth-image-proc (2.0.0-3jammy) jammy; urgency=high

  * enable rclcpp_register_node_plugins (#368 <https://github.com/ros-perception/image_pipeline/issues/368>)
  * Port depth image proc on ROS2 (#362 <https://github.com/ros-perception/image_pipeline/issues/362>)
  * Initial ROS2 commit.
  * Contributors: Chris Ye, Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 08 Dec 2018 16:00:00 -0000

ros-iron-depth-image-proc (1.12.23-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 16:00:00 -0000

ros-iron-depth-image-proc (1.12.22-3jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000

ros-iron-depth-image-proc (1.12.21-3jammy) jammy; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 16:00:00 -0000

ros-iron-depth-image-proc (1.12.20-3jammy) jammy; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783


=== debian/control ===
Source: ros-iron-depth-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-iron-ament-cmake-auto, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-class-loader, ros-iron-cv-bridge, ros-iron-image-geometry, ros-iron-image-transport, ros-iron-message-filters, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-stereo-msgs, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: https://index.ros.org/p/depth_image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-iron-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-iron-cv-bridge, ros-iron-image-geometry, ros-iron-image-transport, ros-iron-message-filters, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-stereo-msgs, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: Contains components for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-depth-image-proc//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
